\documentclass[french]{beamer}
\usetheme{focus}

\usepackage{babel}
\usepackage{amsmath}
\usepackage{pyluatex}
\usepackage{tkz-tab}
\usepackage{tkz-fct}

\usepackage{unicode-math}
\AtBeginDocument{\let\leq=\leqslant}
\AtBeginDocument{\let\geq=\geqslant}

\title{Questions flash}
\subtitle{Classe de 1\iere\ Spé Math 3}
\author{M \bsc{Cholet}}
%\titlegraphic{\includegraphics[scale=1.25]{focus- t logo.pdf}}
\institute{Lycée Jessé de Forest}
\date{4/09/2024}

% Footline info is printed only if [numbering=fullbar].
%\footlineinfo{Custom footline text}

\begin{python}
QNUM = 0

def debutQflash(titre=None):
    global QNUM
    QNUM +=1
    print(r"\definecolor{main}{RGB}{64, 128, 64}")
    print(r"\begin{frame}[noframenumbering]{Question",QNUM,end="")
    if titre != None :
        print(r" : \textnormal{\textit{"+titre+"}}")
    print("}")
    
def finQflash():
    print(r"\end{frame}")

def debutRflash():
    print(r"\definecolor{main}{RGB}{200, 64, 64}")
    print(r"\begin{frame}[noframenumbering]{Réponse",QNUM,r"}")

def finRflash():
    print(r"\end{frame}")
\end{python}

\begin{document}
	\begin{frame}
		\maketitle
	\end{frame}
	
	\definecolor{main}{RGB}{0, 0, 0}
	\definecolor{background}{RGB}{255, 255, 255}
	
	\pyfile{2D/algebre/exprimer-aire.py}
	\pyfile{2D/algebre/exprimer-aire.py}
	\pyfile{2D/algebre/id-remarquables.py}
	\pyfile{2D/algebre/id-remarquables.py}
	\pyfile{2D/algebre/id-remarquables2.py}
	\pyfile{2D/algebre/id-remarquables2.py}
	\pyfile{2D/fonctions/graph-affine.py}
	\pyfile{2D/fonctions/graph-affine.py}
	\pyfile{2D/fonctions/graph-affine.py}
				
\end{document}
